"use strict";

var GO_BrokenWindow = function(unlocked,getDestName,relocate){
	this.sprite = new Sprite(GO_BrokenWindow.spriteSheet,"BrokenWindow");
	
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,15,15);
	this.sprite.game_object = this; // no longer a generic GO

	this.unlocked=unlocked;
	this._getDestName = getDestName;
	this.relocate = relocate;
};
GO_BrokenWindow.spriteImg = SDS_Load_Image("art/sheets/sprite/brokenwindow.png");
GO_BrokenWindow.spriteSheet = new TileSheet(4, 4, 1, 0, GO_BrokenWindow.spriteImg);

GO_BrokenWindow.prototype = new GO_Door(
	true,
	function(){return "";},
	GO_Door.NullRelocate
	);
